<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 通知メール更新フォーム
 *
 * @package     Admin.Mailmanage.Mailtemplate.Form
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Mailmanage_Mailtemplate_Form
{
    var $mailtpl;
    var $session;

    var $mailtplcd;
    var $template;
    var $mailtitle;
    var $mailbody;
    var $updcnt;

    var $data;

    var $title;
    var $actionnm;
    var $pagename;

    function execute()
    {
        $this->data = $this->mailtpl->selectKey($this->template);
        if (!isset($this->mailtplcd)) {
            $this->mailtplcd = $this->data["mailtplcd"];
            $this->template  = $this->data["template"];
            $this->mailtitle = $this->data["mailtitle"];
            $this->mailbody  = $this->data["mailbody"];
            $this->updcnt    = $this->data["updcnt"];
        }

        return 'success';
    }

    function getTemplatenm()
    {
        switch ($this->template) {
            case "buy_complete":
            return "購入 - 購入完了";
            break;

            case "buy_complete_reserve":
            return "購入 - 購入完了 - 予約";
            break;

            case "buy_complete_sell":
            return "購入 - 購入完了 - 出品";
            break;

            case "buy_complete_dl":
            return "購入 - 購入完了 - ダウンロード";
            break;

            case "send_item":
            return "購入 - 商品発送";
            break;
            
            case "buy_cancel":
            return "購入 - 商品キャンセル";
            break;
            
            case "buy_return":
            return "購入 - 商品返品";
            break;

            case "interim_regist":
            return "会員登録 - 仮登録";
            break;

            case "regist_complete":
            return "会員登録 - 登録完了";
            break;

            case "consumer_complete":
            return "会員登録 - 購入者登録完了";
            break;

            case "seller_complete":
            return "会員登録 - 出品者登録完了";
            break;
            
            case "mail_form":
            return "その他 - メールフォーム";
            break;

            case "seller_request":
            return "会員登録 - 出品者 - 申請受付";
            break;

            case "seller_accept":
            return "会員登録 - 出品者 - 承認";
            break;

            case "exhibit_complete":
            return "出品 - 受付完了";
            break;

            case "sell_send_item":
            return "出品 - 商品発送";
            break;

            case "sellout_information":
            return "出品 - 売却通知";
            break;

            case "send_consumer":
            return "購入者へメール";
            break;

            case "signature_header":
            return "署名 - ヘッダ";
            break;

            case "signature_footer":
            return "署名 - フッタ";
            break;
        }
        return "";
    }
}
?>
